## edu.stanford.nlp.trees.international.pennchinese
Class BikelChineseHeadFinder

    java.lang.Object
      edu.stanford.nlp.trees.AbstractCollinsHeadFinder
          edu.stanford.nlp.trees.international.pennchinese.BikelChineseHeadFinder

All Implemented Interfaces:
  HeadFinder, Serializable

    public class BikelChineseHeadFinder

extends AbstractCollinsHeadFinder

A headfinder implementing Dan Bikel's head rules. March 2005: Updated to match the head-finding rules found in Bikel's thesis (2004).

Author:
  Galen Andrew, Christopher Manning.
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.nlp.trees.AbstractCollinsHeadFinder
`defaultRule, nonTerminalInfo, tlp`

Constructor Summary
`BikelChineseHeadFinder()`
`BikelChineseHeadFinder(TreebankLanguagePack tlp)`

Method Summary

Methods inherited from class edu.stanford.nlp.trees.AbstractCollinsHeadFinder
`determineHead, determineHead, determineNonTrivialHead, findMarkedHead, postOperationFix, setCategoriesToAvoid, traverseLocate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BikelChineseHeadFinder

    public BikelChineseHeadFinder()

### BikelChineseHeadFinder

    public BikelChineseHeadFinder(TreebankLanguagePack tlp)

Stanford NLP Group